/*
 * Copyright (c) 2014 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution  and  use  in  source  and binary  forms,  with  or  without
 * modification, are permitted provided that the following conditions are met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice and this list of conditions.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice and  this list of  conditions in the  documentation and/or
 *      other materials provided with the distribution.
 *
 * THE SOFTWARE  IS PROVIDED "AS IS"  AND THE AUTHOR  DISCLAIMS ALL WARRANTIES
 * WITH  REGARD   TO  THIS  SOFTWARE  INCLUDING  ALL   IMPLIED  WARRANTIES  OF
 * MERCHANTABILITY AND  FITNESS.  IN NO EVENT  SHALL THE AUTHOR  BE LIABLE FOR
 * ANY  SPECIAL, DIRECT,  INDIRECT, OR  CONSEQUENTIAL DAMAGES  OR  ANY DAMAGES
 * WHATSOEVER  RESULTING FROM  LOSS OF  USE, DATA  OR PROFITS,  WHETHER  IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR  OTHER TORTIOUS ACTION, ARISING OUT OF OR
 * IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 *                                           Anthony Mallet on Fri Nov 28 2014
 */

#include "ac_tk3_flash.h"

#include <inttypes.h>
#include <stdio.h>
#include <string.h>

#include "flash.h"


/* --- print_settings ------------------------------------------------------ */

void
print_settings(const char *data)
{
  const char *p;
  int32_t v;

  printf("\n--- Settings --------------------------------------\n\n");
  for(p = data; *p;) {
    printf("%-16s: ", p);
    p += 1 + strlen(p);
    v = *(unsigned char *)p++ << 24;
    v|= *(unsigned char *)p++ << 16;
    v|= *(unsigned char *)p++ << 8;
    v|= *(unsigned char *)p++;
    printf("%-16" PRId32 " (", v);
    printf("%s)\n", p);
    p += 1 + strlen(p);
  }
}
